Bug 1277861 - [abrt] bijiben: bjb_main_view_get_selection_mode(): bijiben killed by SIGSEGV
Summary: [abrt] bijiben: bjb_main_view_get_selection_mode(): bijiben killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: bijiben
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pete Walter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ae1462176a7fc40525a3c4f9d95...
: 1336162 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-04 09:30 UTC by 张鑫
Modified: 2016-12-20 15:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 15:21:22 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (61.66 KB, text/plain)
2015-11-04 09:30 UTC, 张鑫
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-04 09:30 UTC, 张鑫
no flags Details
File: core_backtrace (20.99 KB, text/plain)
2015-11-04 09:30 UTC, 张鑫
no flags Details
File: dso_list (19.92 KB, text/plain)
2015-11-04 09:30 UTC, 张鑫
no flags Details
File: environ (1.65 KB, text/plain)
2015-11-04 09:30 UTC, 张鑫
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-04 09:30 UTC, 张鑫
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-04 09:30 UTC, 张鑫
no flags Details
File: maps (98.69 KB, text/plain)
2015-11-04 09:30 UTC, 张鑫
no flags Details
File: mountinfo (3.43 KB, text/plain)
2015-11-04 09:30 UTC, 张鑫
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-04 09:30 UTC, 张鑫
no flags Details
File: open_fds (1.49 KB, text/plain)
2015-11-04 09:30 UTC, 张鑫
no flags Details
File: proc_pid_status (1009 bytes, text/plain)
2015-11-04 09:30 UTC, 张鑫
no flags Details
File: var_log_messages (4.33 KB, text/plain)
2015-11-04 09:30 UTC, 张鑫
no flags Details

Description 张鑫 2015-11-04 09:30:15 UTC
Description of problem:
open then close

Version-Release number of selected component:
bijiben-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        bijiben
crash_function: bjb_main_view_get_selection_mode
executable:     /usr/bin/bijiben
global_pid:     11037
kernel:         4.2.0-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 bjb_main_view_get_selection_mode at bjb-main-view.c:799
 #1 populate_main_toolbar at bjb-main-toolbar.c:988
 #2 _g_closure_invoke_va at gclosure.c:864
 #5 bjb_window_base_switch_to at bjb-window-base.c:609
 #6 just_switch_to_main_view at bjb-note-view.c:159
 #7 on_note_trashed at bjb-note-view.c:166
 #11 g_signal_emit_by_name at gsignal.c:3479
 #12 biji_item_delete at biji-item.c:295
 #17 gtk_widget_dispose at gtkwidget.c:12010
 #18 webkit_web_view_dispose at Source/WebKit/gtk/webkit/webkitwebview.cpp:1389

Potential duplicate: bug 1206786

Comment 1 张鑫 2015-11-04 09:30:22 UTC
Created attachment 1089487 [details]
File: backtrace

Comment 2 张鑫 2015-11-04 09:30:25 UTC
Created attachment 1089488 [details]
File: cgroup

Comment 3 张鑫 2015-11-04 09:30:28 UTC
Created attachment 1089489 [details]
File: core_backtrace

Comment 4 张鑫 2015-11-04 09:30:32 UTC
Created attachment 1089492 [details]
File: dso_list

Comment 5 张鑫 2015-11-04 09:30:35 UTC
Created attachment 1089495 [details]
File: environ

Comment 6 张鑫 2015-11-04 09:30:37 UTC
Created attachment 1089497 [details]
File: exploitable

Comment 7 张鑫 2015-11-04 09:30:40 UTC
Created attachment 1089500 [details]
File: limits

Comment 8 张鑫 2015-11-04 09:30:45 UTC
Created attachment 1089501 [details]
File: maps

Comment 9 张鑫 2015-11-04 09:30:47 UTC
Created attachment 1089502 [details]
File: mountinfo

Comment 10 张鑫 2015-11-04 09:30:50 UTC
Created attachment 1089503 [details]
File: namespaces

Comment 11 张鑫 2015-11-04 09:30:52 UTC
Created attachment 1089504 [details]
File: open_fds

Comment 12 张鑫 2015-11-04 09:30:55 UTC
Created attachment 1089505 [details]
File: proc_pid_status

Comment 13 张鑫 2015-11-04 09:30:58 UTC
Created attachment 1089506 [details]
File: var_log_messages

Comment 14 Han Han 2015-12-07 14:50:59 UTC
Another user experienced a similar problem:

When close bijiben window, got SIGSEGV.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/bijiben
crash_function: bjb_main_view_get_selection_mode
executable:     /usr/bin/bijiben
global_pid:     24704
kernel:         4.2.6-301.fc23.x86_64
package:        bijiben-3.18.2-1.fc23
reason:         bijiben killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Kurt Bechstein 2015-12-16 18:49:04 UTC
Another user experienced a similar problem:

I simply launched the notes application and then immediately closed the application because I wasn't ready to use it just yet.  As soon as I closed it, it crashed.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        bijiben
crash_function: bjb_main_view_get_selection_mode
executable:     /usr/bin/bijiben
global_pid:     6737
kernel:         4.2.6-301.fc23.x86_64+debug
package:        bijiben-3.18.2-1.fc23
reason:         bijiben killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Alessandro Machado 2016-05-15 01:09:46 UTC
*** Bug 1336162 has been marked as a duplicate of this bug. ***

Comment 17 Fedora Admin XMLRPC Client 2016-11-17 21:46:35 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 18 Fedora Admin XMLRPC Client 2016-11-17 22:41:54 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 19 Fedora End Of Life 2016-11-24 13:03:55 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2016-12-20 15:21:22 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.